/// <reference types="react" />
import { IPlugin } from '../../interfaces/IPlugin';
import { PluginStore } from '../../PluginStore';
export declare class RendererPlugin implements IPlugin {
    pluginStore: PluginStore;
    private componentMap;
    getPluginName(): string;
    getDependencies(): never[];
    init(pluginStore: PluginStore): void;
    addToComponentMap(position: string, component: React.ComponentClass, key?: string): void;
    removeFromComponentMap(position: string, component: React.ComponentClass): void;
    getRendererComponent(): import("react").SFC<{
        placement: string;
    }>;
    getComponentsInPosition(position: string): {
        component: import("react").ComponentClass<{}, any>;
        key?: string | undefined;
    }[];
    activate(): void;
    deactivate(): void;
}
export declare type PluginStoreRenderer = {
    executeFunction(functionName: 'Renderer.getComponentsInPosition', position: string): Array<React.Component>;
};
